systemml-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matthias Boehm <mboe...@googlemail.com>
Subject Dropping Java 6 and 7 support
Date Tue, 07 Mar 2017 06:57:50 GMT
Hi all,

I'd like to drop the support for Java 6 and 7 in our SystemML 1.0 release.
Our build still refers to a java compliance level 6, which has not been
changed for more than 5 years now. Spark >= 1.5 anyway requires Java 7 and
there has been some discussion on removing Java 7 as well because it
reached end of life in April 2015. Moving to Java 8 would allow us to
modernize the code base going forward and the 1.0 release would be the
perfect time for this change.

Regards,
Matthias

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message